<template>
  <classifyTrees :crudData="crudTreeData" :crudoption="crudTreeOption" :data="Treedata"
                 :option="Treeoption"
  ></classifyTrees>
</template>

<script>

export default {
  name: "classifyTree.vue",
  //使用provide传递给子组件
  //父传子有问题，暂时没解决，用provide代替父传子，子传父还是用$emit传递，注意！！！其他组件不能使用同样的类名否则会报错。
  provide() {
    return {
      crudTreeOption: {
        index: true,
        border: true,
        column: [
          {
            label: "测试1",
            prop: "cash"
          }
        ]
      },
      crudTreeData: this.crudTreeData,
    }

  },
  data() {
    return {
      aaa: 1,
      crudTreeData: [
        {
          value: 0,
          column: [
            {
              cash: "测试0"
            }
          ]
        },
        {
          value: 1,
          column: [
            {
              cash: "测试1"
            }
          ]
        }
      ],
      arr : [
        {
          name: 'Alice',
          age: 30,
          children: [
            {
              name: 'Bob',
              age: 5,
              toys: [
                {
                  name: 'ball',
                  color: 'red'
                },
                {
                  name: 'doll',
                  color: 'blue'
                }
              ]
            },
            {
              name: 'Charlie',
              age: 3,
              toys: [
                {
                  name: 'car',
                  color: 'green'
                },
                {
                  name: 'train',
                  color: 'yellow'
                }
              ]
            }
          ]
        },]
    }
  },
  created() {

  },
  methods: {

  }
}
</script>

<style lang="scss">

</style>
